org.eclipse.wst.jsdt.chromium.debug.ui

## Interface DialogUtils.Scope

Enclosing class:
  DialogUtils

    public static interface DialogUtils.Scope

A scope for update graph vertices. Scope may have inner switchers, that own other (nested) scopes.

Scope roughly corresponds to a group of UI controls that may become disabled, and thus may not generate any data and need no inner updates.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> DialogUtils.OptionalSwitcher<T>` `addOptionalSwitch(DialogUtils.Gettable<? extends DialogUtils.Optional<? extends T>> expression)` Creates a switcher that is operated by optional expression.
`<T> DialogUtils.Switcher<T>` `addSwitch(DialogUtils.Gettable<T> expression)` Creates a switcher that is operated by non-optional expression.
`DialogUtils.Scope` `getOuterScope()`

### Method Detail

#### getOuterScope

    DialogUtils.Scope getOuterScope()

#### addOptionalSwitch

    <T> DialogUtils.OptionalSwitcher<T> addOptionalSwitch(DialogUtils.Gettable<? extends DialogUtils.Optional<? extends T>> expression)

Creates a switcher that is operated by optional expression.

Type Parameters:
  `T` - type of expression

#### addSwitch

    <T> DialogUtils.Switcher<T> addSwitch(DialogUtils.Gettable<T> expression)

Creates a switcher that is operated by non-optional expression.

Type Parameters:
  `T` - type of expression